:root {
    --main-blue: #053c5e;
    --opaque-blue-bckgrnd: rgba(5, 60, 94, 0.6);
    --navy-blue-hover: #125e8a;
    --main-red: #d93228;
    --warm-red-hover: #fc504d;
    --light-gray-alt: #dfe5eb;
    --dark-gray: #8e9397;
    --black: #000;
    --white: #fff;
    --in-text-link-color: #1778b1;
    --in-text-link-hover: #075b8f;
    --hotel-gray-caption: rgba(234, 235, 235, 0.8);
}

#UserAccount.container {
    display: block;
    margin: 0 auto;
    max-width: 1280px !important;
    padding-bottom: 50px;
}
#UserAccount .center {
    text-align: center;
}
#UserAccount h3 {
    font-size: 20px;
    letter-spacing: 1px;
    font-weight: 600;
    margin: 0 0 10px 0;
}
#UserAccount .main-header {
    margin-bottom: 20px;
}
#UserAccount .main-content {
    width: 100%;
}
#UserAccount .account-container {
    margin: 0 50px 50px;
    gap: 20px;
}
#UserAccount .side-menu {
    background: var(--main-blue);
    padding: 20px 30px;
    width: 30%;
}
#UserAccount .side-menu h3,
#UserAccount .side-menu span {
    color: var(--white);
    letter-spacing: 1px;
}
#UserAccount .left-side {
    display: flex;
    gap: 20px;
}
#UserAccount .side-menu span {
    color: var(--white);
    letter-spacing: 1px;
    font-size: 12px;
}
#UserAccount .side-menu-btns a.active,
#UserAccount .side-menu-btns a:hover {
    color: var(--navy-blue-hover);
    background: var(--white);
}
#UserAccount .side-menu-btns a {
    color: var(--white);
    background: var(--navy-blue-hover);
    width: 100%;
    padding: 5px 10px;
    text-transform: uppercase;
    border-radius: 2px;
    margin: 5px 0;
    font-size: 12px;
}
#UserAccount .side-menu-btns {
    flex-direction: column;
    font-weight: 600;
    margin-top: 20px;
}

#UserAccount #reservation-content,
#UserAccount #manage-people,
#UserAccount #change-password {
    padding: 20px 30px;
    border: 1px solid var(--dark-gray);
    min-height: 300px;
}
#UserAccount .reservation-item a,
#UserAccount .contact-item a {
    color: #555;
    letter-spacing: 1px;
}
#UserAccount .reservation-item,
#UserAccount .contact-item {
    background: var(--light-gray-alt);
    color: #555;
    margin-bottom: 5px;
    justify-content: space-between;
}
#UserAccount .reservation-item .left-side,
#UserAccount .contact-item .left-side {
    flex: 1 1 auto;
}
#UserAccount .reservation-item .left-side,
#UserAccount .reservation-item .right-side,
#UserAccount .contact-item .left-side,
#UserAccount .contact-item .right-side {
    padding: 10px 15px;
    cursor: pointer;
}
#UserAccount .reservation-item.active,
#UserAccount .contact-item.active {
    background-color: var(--main-blue);
    color: var(--white);
}
#UserAccount .reservation-item.active a,
#UserAccount .contact-item.active a {
    color: var(--main-white);
}

#UserAccount .current-reservation {
    gap: 10px;
}
#UserAccount .current-reservation .reservations-tabs {
    gap: 5px;
}
#UserAccount .current-reservation .viewing {
    background: var(--light-gray-alt);
    padding: 5px 10px;
    font-weight: 600;
    color: #000;
}
#UserAccount .current-reservation .reservations-tabs a {
    color: #555;
    font-weight: 600;
    padding: 5px 40px;
    background: var(--light-gray-alt);
    box-shadow: inset 0 0 20px -10px #00000015;
    cursor: pointer;
}
#UserAccount .current-reservation .reservations-tabs a.active {
    background: var(--main-blue);
    color: #fff;
}
#UserAccount .current-reservation .reservations-tabs a.disabled {
    background: #eee;
    opacity: 0.5;
    box-shadow: unset;
    cursor: default;
}
#UserAccount #hotel {
    flex: 1 0 100%;
}

.refunded-canceled-badge {
    background: var(--main-red);
    color: var(--white);
    padding: 5px 10px;
    font-weight: 600;
    text-transform: uppercase;
    border-radius: 2px;
    margin: 20px;
    max-width: fit-content;
}

.refunded-canceled-badge.ticket-badge {
    margin: 0;
    padding: 2px 10px;
    font-size: 12px;
}
#UserAccount #ferry.canceled-refunded,
#UserAccount #hotel .hotel-item.canceled-refunded {
    padding: 10px;
}
#UserAccount #hotel .hotel-item {
    border-bottom: 2px solid var(--main-blue);
}
#UserAccount p.title {
    font-weight: 600;
    color: #000;
    margin: 20px 0;
}
#UserAccount #hotel h3,
#UserAccount #attractions h3,
#UserAccount #rental h3 {
    margin: 0;
}
#UserAccount .details {
    justify-content: space-between;
}

#UserAccount #hotel .details,
#UserAccount #attractions .details,
#UserAccount #rental .details {
    gap: 50px;
    justify-content: unset;
    padding: 10px 0;
}
#UserAccount #attractions .details {
    gap: 10px;
}

#UserAccount #attractions ul {
    margin: 10px 0 0 0;
}

#UserAccount .details p,
#UserAccount .details li {
    font-size: 15px;
    margin: 0;
    line-height: 20px;
}
#UserAccount .small-title {
    font-size: 14px;
    text-transform: uppercase;
}
#UserAccount .total p {
    font-size: 16px;
    color: #000;
    margin: 20px 0 0 0;
}
#UserAccount .ticket-type {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 250px;
}
#UserAccount .ticket-container {
    background: #eee;
    padding: 25px;
}
#UserAccount .reservation-total {
    flex-direction: column;
}
#UserAccount .reservation-total p {
    margin: 0;
}
#UserAccount .reservation-total .flex {
    justify-content: end;
    gap: 20px;
    align-items: center;
}
#UserAccount .reservation-total .grand-total span {
    font-size: 26px;
    font-weight: 700;
    color: #000;
}
#UserAccount .reservation-total span {
    font-size: 20px;
    font-weight: 500;
    color: #000;
}
#UserAccount .reservation-total .flex p {
    justify-content: end;
}
#UserAccount .reservation-total p.note {
    font-size: 12px;
    gap: 6px;
    line-height: 20px;
}

#UserAccount .contact-form form .date {
    width: 40%;
}
#UserAccount .contact-form .customer-name,
#UserAccount .contact-form .date .flex,
#UserAccount .spacing {
    gap: 15px;
    align-items: end;
}
#UserAccount .contact-form label,
#UserAccount #change-password p {
    font-size: 13px;
    margin: 0 0 4px 0;
    font-weight: 500;
}
#UserAccount .contact-form .small-input {
    width: 11%;
}
#UserAccount .contact-form select {
    padding-right: 1rem;
}
#UserAccount label.required:after,
#UserAccount form .required label:after {
    content: '*';
    color: var(--main-red);
}
#UserAccount form .save-btn {
    background: var(--main-red);
    border: 1px solid var(--main-red);
    border-radius: 0;
}
#UserAccount form .save-btn:hover {
    background: var(--warm-red-hover);
    border: 1px solid var(--warm-red-hover);
}
#UserAccount form input,
#UserAccount form select {
    border-radius: 0;
}
#UserAccount form input[type="checkbox"] {
    margin-right: 10px;
}
#UserAccount hr {
    margin: 1rem 0;
    border-top: 1px solid #ebebeb;
}

#UserAccount form .document,
#UserAccount form .address,
#UserAccount form .contact {
    width: 40%;
}
#UserAccount form .first-name,
#UserAccount form .last-name {
    width: 45%;
}
#UserAccount form .citizenship {
    width: 40%;
}
#UserAccount .user-buttons {
    gap: 10px;
    padding-top: 20px;
}
#UserAccount button.update {
    background: var(--main-blue);
    border: 1px solid var(--main-blue);
    color: #fff;
    text-transform: uppercase;
    border-radius: 0;
    font-weight: 500;
}
#UserAccount .user-buttons .cancel {
    background: #eee;
    border: 1px solid var(--dark-gray);
    color: #000;
    text-transform: uppercase;
    border-radius: 0;
    font-weight: 500;
}
#UserAccount .user-buttons .delete {
    background: var(--main-red);
    border: 1px solid var(--main-red);
    color: #fff;
    text-transform: uppercase;
    border-radius: 0;
    font-weight: 500;
}
.address-mobile {
    display: none;
}

.address-header {
    display: flex; 
    justify-content: space-between; 
    margin-top: 20px;
}
span.trip-type {
        display: flex; 
        flex-direction: column;"
    }
/* Vehicle Details Panels */
#ferry-vehicle-details-new {
    gap: 20px;
}

.vehicle-details-panel {
    border-radius: 20px;
    width: 360px;
    background-color: #EFF2F7;
    padding: 15px 20px 20px;
}
.vehicle-details-panel h3.details-panel-title {
    margin: 0 0 10px 0;
}
p.details-panel-passenger-count {
    margin: 20px 0 !important;
}

.vehicle-card {
    background-color: white;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    margin: 20px 0;
}

.vehicle-card-status {
    background-color:#D2E6C6;
    color: black;
    width: 100%;
    text-align: center;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 1px;
    border-radius: 10px 10px 0 0;
    padding-top: 3px;
}
#UserAccount .details p.vehicle-card-name {
    font-size: 18px;
}
#UserAccount .details p.vehicle-card-type,
#UserAccount .details p.vehicle-card-towed-type {
    font-size: 12px;
    max-width: 190px;
}

/* placeholder colors for different statuses */
.vehicle-card-status.reserved {
    background-color: #D2E6C6;
    color: black;
}

.vehicle-card-status.canceled {
    background-color: #f8d7da; 
    color: black;
}

.vehicle-card-status.refunded {
    background-color: #d1ecf1; 
    color: black;
}

.vehicle-card-status.refunded.canceled {
    background-color: #f5c6cb; 
    color: black;
}

.vehicle-details-panel.canceled-refunded {
    opacity: 0.5;
}
/* end placeholder colors */

.vehicle-card-details-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 95%;
}

.vehicle-card-text-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 10px;
    gap: 5px;
}
.vehicle-card-icon-container {
    width: 35%;
}
img.vehicle-card-icon {
    height: 50px;
}
.vehicle-card-name {
    font-weight: bold;
    color: #053c5e;
}
/* End Vehicle Details Panels */

/* Responsive CSS */
@media screen and (max-width: 1200px) {
    #UserAccount .current-reservation .reservations-tabs a {
        padding: 5px 20px;
        font-size: 12px;
    }
    #UserAccount .current-reservation .viewing {
        font-size: 12px;
    }
    #UserAccount .account-container,
    #reservation-content,
    #manage-people,
    #change-password {
        margin: unset;
    }
}
@media screen and (max-width: 1080px) {
    
    #UserAccount .account-container {
        flex-direction: column;
    }
    #UserAccount .side-menu {
        width: unset;
    }
    #ferry-vehicle-details-new {
        width: 89vw;
    }
    .vehicle-details-panel {
        width: 50%;
    }
}
@media screen and (min-width: 969px) and (max-width: 1080px) {
    #UserAccount .contact-form .birthdate {
        flex-wrap: wrap;
        gap: 0;
    }
    #UserAccount .contact-form form .date {
        width: 100%;
    }
}
@media screen and (max-width: 969px) {
    #ferry-vehicle-details-new {
        flex-direction: column;
    }
    .vehicle-details-panel {
        width: 80%;
    }
}
@media screen and (max-width: 760px) {
    #UserAccount .account-container {
        margin: 0;
    }
    #UserAccount .current-reservation .reservations-tabs a {
        padding: 5px 9px;
    }
    #UserAccount .contact-form .customer-name,
    #UserAccount .spacing {
        flex-wrap: wrap;
        gap: 10px;
    }
    .address-header{
        flex-direction: column;
        align-items: center;
        margin: 20px auto;
    }
    .customer-name .input,
    .contact-form .email.input,
    .contact-form .tel.input {
        width: 100%;
    }
    .address-desktop {
        display: none;
    }
    .address-mobile {
        display: block;
    }
    .address-mobile > div {
        padding: 10px 15px;
        background-color: var(--light-gray-alt);
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 10px;
    }
}
@media screen and (max-width: 680px) {
    #UserAccount .contact-form form .date,
    #UserAccount form .first-name,
    #UserAccount form .last-name,
    #UserAccount form .address,
    #UserAccount form .contact,
    #UserAccount form .citizenship
     {
        width: 100%;
    }
    #UserAccount .contact-form .small-input {
        width: 20%;
    }
    #UserAccount .user-buttons {
        flex-direction: column;
        width: 100%;
    }
}
@media screen and (max-width: 496px) {
    .vehicle-details-panel {
        width: 95%;
        margin: 0 10px;
    }
    .vehicle-card-details-container {
        padding: 20px 0;
        flex-direction: column-reverse;
    }
    .vehicle-card-icon-container {
        width: 40%;
    }
    img.vehicle-card-icon {
        height: 60px;
    }
    .trip-type {
        display: flex; 
        flex-direction: column;
        align-items: center;
    }
    .trip-type span {
        margin: 0 15px 15px;
    }
    #UserAccount h3 {
        margin: 20px 0;
        text-align: center;
    }
    #UserAccount .current-reservation,
    #UserAccount .current-reservation .reservations-tabs {
        flex-direction: column;
    }
    #UserAccount #reservation-content .reservation-item {
        font-size: 13px;
        padding: 10px;
    }
    #UserAccount #reservation-content .reservation-item .view {
        display: none;
    }
    #UserAccount #reservation-content {
        padding: 0 15px 20px;
    }
    #UserAccount #manage-people > div {
        flex-direction: column;
    }
    #UserAccount .reservation-info.flex {
        justify-content: center;
    }
    #UserAccount .left-side {
        align-items: center;
        gap: 10px;
    }
    #UserAccount p.title {
        margin-top: 10px;
        text-align: center;
        text-decoration: underline;
    }
    #UserAccount #hotel .details,
    #UserAccount #attractions .details,
    #UserAccount #rental .details {
        flex-direction: column;
        gap: 15px;
    }
    #UserAccount #hotel .details > div,
    #UserAccount #attractions .details > div,
    #UserAccount #rental .details > div,
    #UserAccount .total p {
        text-align: center;
    }
    #UserAccount .reservation-total .flex {
        justify-content: center;
    }
    #UserAccount .reservation-total p.note {
        gap: 0;
        display: block;
        padding: 0 30px;
        text-align: center;
    }
}
